Configure shortcuts dialog and international keyboard

2013-05-26 05:03 AM - Kai Borgolte

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16778

Description

Given german keyboard layout, the dialog "configure shortcuts" misreads a lot of keystrokes, for example:

Shift+2, which is ", is recognized as Shift+" 

Strg+Shift+2 is recognized as Ctrl+Shift+@

AltGr+2, which is almost the same as Strg+Alt+2, which is ², is recognized as Ctrl+Alt+²

Shift++, which is *, is recognized as Shift+*

Strg++ is recognized as Ctrl+]

^, which is a deadkey, is not recognized

^ followed by space, which is ^, is recognized as space

History

#1 - 2014-06-21 01:51 PM - Jürgen Fischer

- Category set to GUI

#2 - 2016-04-12 10:46 AM - Kai Borgolte

- % Done changed from 0 to 100

- Status changed from Open to Closed
